## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           photoqt
Version:        4.9.1
Release:        %autorelease
Summary:        A fast Qt image viewer

# GPL-2.0-or-later: main program
# BSD-3-Clause: cplusplus/scripts/simplecrypt.*
License:        GPL-2.0-or-later AND BSD-3-Clause
URL:            http://photoqt.org/
Source:         https://photoqt.org/downloads/source/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  cmake(Qt6)
BuildRequires:  cmake(Qt6Multimedia)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(exiv2)
BuildRequires:  cmake(phonon4qt6)
BuildRequires:  cmake(pugixml)
BuildRequires:  desktop-file-utils
BuildRequires:  extra-cmake-modules
BuildRequires:  freeimage-plus-devel
BuildRequires:  gcc-c++
BuildRequires:  libappstream-glib
BuildRequires:  pkgconfig(IL)
BuildRequires:  pkgconfig(Magick++)
BuildRequires:  pkgconfig(libarchive)
BuildRequires:  pkgconfig(libraw)
BuildRequires:  pkgconfig(poppler-qt6)
BuildRequires:  pkgconfig(vips)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  python3-chromecast
BuildRequires:  python3-devel
BuildRequires:  zxing-cpp-devel
BuildRequires: qt6-qtbase-private-devel

Requires:       python3-chromecast
Requires:       qt6-qtcharts
Requires:       qt6-qtdeclarative
Requires:       qt6-qtmultimedia

Recommends:     kf6-kimageformats
Recommends:     xcftools

%description
PhotoQt is a fast and highly configurable image viewer with a simple and
nice interface.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake -DVIDEO_MPV=OFF
%cmake_build

%install
%cmake_install

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.%{name}.PhotoQt.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.%{name}.PhotoQt.metainfo.xml

%files
%doc CHANGELOG README
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.%{name}.PhotoQt.desktop
%{_datadir}/icons/hicolor/*/apps/org.%{name}.PhotoQt.png
%{_datadir}/metainfo/org.%{name}.PhotoQt.metainfo.xml

%changelog
## START: Generated by rpmautospec
* Wed May 07 2025 Jiri Eischmann <jiri@eischmann.cz> - 4.9.1-1
- Update to 4.9.1

* Fri Mar 28 2025 Jan Grulich <jgrulich@redhat.com> - 4.8.1-2
- Rebuild (qt6)

* Fri Feb 14 2025 Jiri Eischmann <jiri@eischmann.cz> - 4.8.1-1
- Update to 4.8.1

* Fri Feb 14 2025 Jiri Eischmann <jiri@eischmann.cz> - 4.7-4
- Update to 4.8.1

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Dec 03 2024 Jiri Eischmann <jiri@eischmann.cz> - 4.7-2
- Adding qt5-qtbase-private-devel as build dependency

* Tue Dec 03 2024 Jiri Eischmann <jiri@eischmann.cz> - 4.7-1
- Update to 4.7

* Fri Aug 09 2024 Jiri Eischmann <jiri@eischmann.cz> - 4.6-2
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
